Subject: bug#44674: 28.0.50; Adding current-cpu-time for performance tests

From: Eli Zaretskii <[email-masked]>
Date: Mon, 16 Nov 2020 21:17:02 +0200

> From: Philipp Stephani <[email-masked]>
> Date: Mon, 16 Nov 2020 19:32:35 +0100
> Cc: Stefan Monnier <[email-masked]>, Mattias Engdegård <[email-masked]>, 
> 	[email-masked]
> 
> >           The clock() function shall return the implementation's best
> >           approximation to the processor time used by the process
> >           since the beginning of an implementation-defined era
> >           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
> >           related only to the process invocation.
> >
> > How do you write portable Lisp code that returns consistent results
> > based on such shaky foundations?
> 
> For non-walltime clocks, only the difference between two measurements
> is meaningful.

Which is a limitation, when compared to APIs that always measure since
the program/thread start.  For example, with 'clock' you cannot
measure how long the startup takes.